Subject: Re: [RFC net-next] net: page_pool: fix recycle stats for percpu page_pool allocator

From: Jakub Kicinski <[email-masked]>
Date: Thu, 15 Feb 2024 07:04:14 -0800

On Thu, 15 Feb 2024 14:41:52 +0100 Alexander Lobakin wrote:
> For example, if I have an Rx queue always pinned to one CPU, I might
> want to create a PP for this queue with the cpuid set already to save
> some cycles when recycling. We might also reuse cpuid later for some
> more optimizations or features.

You say "pin Rx queue to one CPU" like that's actually possible to do
reliably :)

> Maybe add a new PP_FLAG indicating that system percpu PP stats should be
> used?

Part of me feels like checking the dev pointer would be good enough.
It may make sense to create more per CPU pools for particular devices
further down, but creating more pools without no dev / DMA mapping
makes no sense, right?

Dunno if looking at dev is not too hacky, tho, flags are cheap.